# Creating or editing a run/debug configuration

You can run an application by right-clicking the file and clicking Open With > System Editor or you can create a run configure a run environment with which to run your application.

This section explains how to create a run or debug configuration.

The Run and Debug dialog boxes each contain the following tabs:

- Main
- Arguments
- Environment
- Debugger
- Source
- Common

Selecting a run or debug configuration
Creating a run or debug configuration
Selecting an application to run or debug
Specifying execution arguments
Setting environment variables
Defining debug settings
Specifying the location of source files
Specifying the location of the run configuration